# PetscViewerStringOpen

Opens a string as a PetscViewer. This is a very simple PetscViewer; information on the object is simply stored into the string in a fairly nice way.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerStringOpen(MPI_Comm comm,char string[],PetscInt len,PetscViewer *lab)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| string | - the string to use

### Output Parameter

lab -the PetscViewer

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerDestroy(), PetscViewerStringSPrintf()

Level:advanced
Location: src/sys/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html